Results 1 to 3 of 3

Thread: cpanel issue

  1. #1
    Join Date
    Jun 2008
    Location
    India
    Posts
    261

    cpanel issue

    My Fantastico said "This application is currently not available. Please contact your host."

    Hence I tried to run

    /scripts/makecpphp
    which lead me to

    **********************

    !
    !! The perl module 'Acme:pork' (v0.0.7) is too old to use. It must be at least version '0.0.8'. !!
    !! To install it execute this command as root '/scripts/realperlinstaller Acme:pork' !!
    **********************

    I tried to do /scripts/realperlinstaller Acme:pork' !! but now I am on a dead end with this error
    ******************************************
    Going to read /home/.cpan/sources/modules/02packages.details.txt.gz
    Warning: Your /home/.cpan/sources/modules/02packages.details.txt.gz does not contain a Line-Count header.
    Please check the validity of the index file by comparing it to more
    than one CPAN mirror. I'll continue but problems seem likely to
    happen.
    CPAN: Time::HiRes loaded ok (v1.9715)
    Warning: Your /home/.cpan/sources/modules/02packages.details.txt.gz does not contain a Last-Updated header.
    Please check the validity of the index file by comparing it to more
    than one CPAN mirror. I'll continue but problems seem likely to
    happen.
    Can't use string ("CPAN::Index") as a HASH ref while "strict refs" in use at /usr/lib/perl5/5.8.8/CPAN.pm line 5075.

    *****************************************

    Please help!!!!
    Ranjith
    Light travels faster thn sound.This is why some people look bright until you actually hear them speak

  2. #2
    Join Date
    Jun 2009
    Location
    Kochi,India
    Posts
    177
    Try to install the perl module like this
    root@server [/]# perl -MCPAN -e shell
    cpan> install Acme:pork

    CPAN: Storable loaded ok (v2.20)
    Going to read '/home/.cpan/Metadata'
    Database was generated on Tue, 26 May 2009 07:29:28 GMT
    CPAN: LWP::UserAgent loaded ok (v5.810)
    CPAN: Time::HiRes loaded ok (v1.9719)
    Fetching with LWP:
    http://8.10.120.130/pub/CPAN/authors/01mailrc.txt.gz
    CPAN: YAML loaded ok (v0.68)
    Going to read '/home/.cpan/sources/authors/01mailrc.txt.gz'
    ............................................................................DONE
    Fetching with LWP:
    http://8.10.120.130/pub/CPAN/modules...details.txt.gz
    Going to read '/home/.cpan/sources/modules/02packages.details.txt.gz'
    Database was generated on Thu, 04 Jun 2009 09:26:57 GMT
    ............................................................................DONE
    Fetching with LWP:
    http://8.10.120.130/pub/CPAN/modules/03modlist.data.gz
    Going to read '/home/.cpan/sources/modules/03modlist.data.gz'
    ............................................................................DONE
    Going to write /home/.cpan/Metadata
    Acme:pork is up to date (0.0.8).

  3. #3
    try a more direct route, cpan -i Acme:: Spork - to install the updated module directly using cpan
    its spork, ht tp:// search. cpan. org/ ~dmuey/ Acme-Spork-v0.0.7/

  4. Newsletters

    Subscribe Now & Get The WHT Quick Start Guide!

Related Posts from theWHIR.com

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •